Package io.vertx.reactivex.ext.web.handler

## Class ChainAuthHandler

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.ChainAuthHandler

- All Implemented Interfaces:
    `Handler<RoutingContext>`, `io.vertx.lang.rx.RxDelegate`, `AuthenticationHandler`

      public class ChainAuthHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate, AuthenticationHandler, Handler<RoutingContext>

  An auth handler that chains to a sequence of handlers.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ChainAuthHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChainAuthHandler​(ChainAuthHandler delegate)` |
    `ChainAuthHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ChainAuthHandler` | `add​(AuthenticationHandler other)` | Appends a auth provider to the chain.
    `static ChainAuthHandler` | `all()` | Create a chain authentication handler that will assert that all handlers pass the verification.
    `static ChainAuthHandler` | `any()` | Create a chain authentication handler that will assert that any handler passes the verification.
    `boolean` | `equals​(Object o)` |
    `ChainAuthHandler` | `getDelegate()` |
    `void` | `handle​(RoutingContext event)` | Something has happened, so handle it.
    `int` | `hashCode()` |
    `static ChainAuthHandler` | `newInstance​(ChainAuthHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ChainAuthHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### ChainAuthHandler

          public ChainAuthHandler​(ChainAuthHandler delegate)

    - #### ChainAuthHandler

          public ChainAuthHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ChainAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthenticationHandler`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### handle

          public void handle​(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `AuthenticationHandler`
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### all

          public static ChainAuthHandler all()

      Create a chain authentication handler that will assert that all handlers pass the verification.
      Returns:
        a new chain authentication handler

    - #### any

          public static ChainAuthHandler any()

      Create a chain authentication handler that will assert that any handler passes the verification.
      Returns:
        a new chain authentication handler

    - #### add

          public ChainAuthHandler add​(AuthenticationHandler other)

      Appends a auth provider to the chain.
      Parameters:
        `other` - auth handler
      Returns:
        self

    - #### newInstance

          public static ChainAuthHandler newInstance​(ChainAuthHandler arg)